var VideothekPlayer =
{
	vod_id : 0,
	vod_counter : 0,
	vod_page_counter : 0,
	vod_selected_page : 1,
	vod_selected_item : 0,
	vod_list : [ ],
	vod_item_on_page : 10,
	vod_type : 'last',
	vod_query : '',
	vod_genre : '',
	vod_all_pages : 0,
	vod_selected : [ ],
	vod_status_timer : null,
	vod_mode : 0,
	vod_selected_mode: '',
	vod_episode_name: '',
}

/*
# type = best|last|text
# page = 1
# query = text если type==text
# genre = id
# nums = <фильмов на страницу>
KTV_API.getVod_list = function(req_type, page, query, genre, nums, mode)
*/

VideothekPlayer.Start = function()
{
	KeyHandler.setFocus(Main.VideothekPlayer_ID);
	document.getElementById("help_navi_epg").style.display="none";
	document.getElementById("help_navi_menu").style.display="none";
	document.getElementById("help_navi_vod").style.display="block";
	document.getElementById("vod_genre_button").style.display="none";
	document.getElementById("help_navi_archive_player").style.display="block";
	widgetAPI.putInnerHTML(document.getElementById("mode"), '');
	Main.nguide = 'off';

	if(this.vod_query!="" || this.vod_selected_mode=="favorites")
	{
		VideothekPlayer.sendRequest();
		if(this.vod_counter==0)
		{
			this.vod_selected_mode="";
			Display.status("ничего не найдено");
			VideothekPlayer.vod_query = "";
			VideothekPlayer.vod_type = "last";
			VideothekPlayer.vod_selected_page=1;
		}
	}

	VideothekPlayer.updatePage();
	if(this.vod_selected_mode=="")
	{
		document.getElementById("standart").style.display="block";
		document.getElementById("fav").style.display="none";
	}
	else
	{
		document.getElementById("standart").style.display="none";
		document.getElementById("fav").style.display="block";
	}
	

}

VideothekPlayer.sendRequest = function()
{	
	if(!(this.vod_type=="text" && this.vod_query==""))
		this.vod_list = KTV_API.getVod_list(this.vod_type, this.vod_selected_page, this.vod_query, this.vod_genre, this.vod_item_on_page, this.vod_selected_mode);
	if(this.vod_counter%10)
		this.vod_all_pages = parseInt(this.vod_counter/10 + 1);
	else
		this.vod_all_pages = parseInt(this.vod_counter/10);
}

VideothekPlayer.updatePage = function()
{	

	this.vod_episode_name = '';
	VideothekPlayer.sendRequest();
	var text = "количество фильмов: <b style='font-size:20px'>" + this.vod_counter + "</b>"
	
	var item = Array();
	if(this.vod_selected_item > this.vod_page_counter -1 )
		this.vod_selected_item = this.vod_page_counter-1;
		
	if(this.vod_query!="" || this.vod_genre!="")
		document.getElementById("sort").style.display="none";
	else
		document.getElementById("sort").style.display="";
	
	if(this.vod_genre!="")	
		document.getElementById("vod_genre_button").style.display="";
	else
		document.getElementById("vod_genre_button").style.display="none";
		
	if(this.vod_query!="")
	{
		document.getElementById("query").style.display="";
		text = "найдено:&nbsp;<b style='color:yellow;'>" + this.vod_counter + "</b>&nbsp;&nbsp;искали:&nbsp;<b style='color:red'>" + this.vod_query + "</b>";
	}
	else
		document.getElementById("query").style.display="none";
	
	widgetAPI.putInnerHTML(document.getElementById("version"), text );
	
	for (var index = 0; index < 10; index++)
	{
		document.getElementById("ch"+index).style.display="";
		widgetAPI.putInnerHTML(document.getElementById("time"+index), "");
		widgetAPI.putInnerHTML(document.getElementById("progress"+index), "");
		document.getElementById("percent"+index).style.width= "0%";
		widgetAPI.putInnerHTML(document.getElementById("title"+index), "");
		widgetAPI.putInnerHTML(document.getElementById("descr"+index), "");
		document.getElementById("record"+index).style.backgroundImage= "";
		document.getElementById("descr"+index).style.display="";
		document.getElementById("title"+index).style.width= "400px";
		document.getElementById("number"+index).style = "";
	}
	

	for (var index = this.vod_page_counter; index < 10; index++)
	{
		document.getElementById("ch"+index).style.display="none";
	}
	
	for (var index = 0; index < this.vod_page_counter; index++)
	{
		
		item[index] = document.getElementById("chan"+index);
		item[index].style.backgroundImage= "url(img/menu.png)";

		widgetAPI.putInnerHTML(document.getElementById("number"+index), (this.vod_selected_page*10) -10 + index+1);
		document.getElementById("img"+index).src='http://iptv.kartina.tv' + this.vod_list[index][5];  
		alert('http://iptv.kartina.tv' + this.vod_list[index][5]);
		document.getElementById("img"+index).height="35";
		widgetAPI.putInnerHTML(document.getElementById("time"+index), this.vod_list[index][6]);
		widgetAPI.putInnerHTML(document.getElementById("title"+index), this.vod_list[index][2] + ' / ' + this.vod_list[index][11] + ' / ' + this.vod_list[index][10]);

	}
	
	VideothekPlayer.updateVodList();
}

VideothekPlayer.updateVodList = function()
{		

	for (var index = 0; index < 10; index++)
	{
		document.getElementById("chan"+index).style.backgroundImage= "url(img/menu.png)";
		document.getElementById("number"+index).style.backgroundImage = "";
	}
	
	document.getElementById("number"+this.vod_selected_item).style.backgroundImage= "url(img/menu_act.png)";
	document.getElementById("chan"+this.vod_selected_item).style.backgroundImage= "url(img/menu_act.png)";
	VideothekPlayer.updateCurrentVODinfo();

}

VideothekPlayer.updateCurrentVODinfo = function()
{
	var index = this.vod_selected_item;
	var name = this.vod_list[index][2];
	var name_orig = this.vod_list[index][3];
	var description = this.vod_list[index][4];
	var poster = 'http://iptv.kartina.tv' + this.vod_list[index][5];
	var year = this.vod_list[index][6];
	var rate_imdb = this.vod_list[index][7];
	var rate_kinopoisk = this.vod_list[index][8];
	var country = this.vod_list[index][10];
	var genre_str = this.vod_list[index][11];
	var imdb_stars = parseInt(rate_imdb * 10);
	var kinopoisk_stars = parseInt(rate_kinopoisk * 10);
	var info = '<div><div style="float:left;width:130px;heigth:180px;"><img src="'+poster+'"></div><div style="float:left;width:150px;heigth:180px;">'+ year + ' ' +country+'<br>'+genre_str+'<br>';
	info += '<table><tr><td>IMDB: </td><td>'+rate_imdb+'</td></tr><tr><td>кинопоиск: </td>'+rate_kinopoisk+'</td></tr></table>';
	info += '<div class="sterne"><div class="imdb" style="width:'+imdb_stars+'%;"></div></div>';
	info += '<div class="sterne"><div class="kinopoisk" style="width:'+kinopoisk_stars+'%;"></div></div>';
	info += '</div></div>';
	info += '<div style="float:left;"' + name+'<br><span id="vod_descr_right">'+description+'</span></div>';
 
	//Â— 
	widgetAPI.putInnerHTML(document.getElementById("infoList"), info);
	if(this.vod_mode==1)
	{
		this.vod_mode=0;
		VideothekPlayer.showInfo();
	}
}

VideothekPlayer.selectNextItem = function()
{
	this.vod_selected_item++;
	if(this.vod_selected_item == this.vod_page_counter)
	{
		this.vod_selected_item = 0;
		VideothekPlayer.selectNextPage();
	}
	VideothekPlayer.updateVodList();
}

VideothekPlayer.selectPrevItem = function()
{
	this.vod_selected_item--;
	if(this.vod_selected_item<0)
	{
		this.vod_selected_item = 9;
		VideothekPlayer.selectPrevPage();
	}
	VideothekPlayer.updateVodList();
}

VideothekPlayer.selectNextPage = function()
{
	this.vod_selected_page++;
	if(this.vod_selected_page>this.vod_all_pages)
		this.vod_selected_page = 1;
	VideothekPlayer.updatePage();
}

VideothekPlayer.selectPrevPage = function()
{
	this.vod_selected_page--;
	if(this.vod_selected_page<1)
		this.vod_selected_page = this.vod_all_pages;
	VideothekPlayer.updatePage();
}

VideothekPlayer.showInfo = function()
{
	if(this.vod_mode==0)
	{
		this.vod_mode = 1;
		document.getElementById("vod_info_button").style.display="none";
		document.getElementById("vod_back_button").style.display="";
		document.getElementById("vod_info").style.display="";
		KTV_API.getVod_info(this.vod_list[this.vod_selected_item][0]);
		var info = VideothekPlayer.vod_selected;
		var episode_count = "";
		var original_name = "";
		if(info[2])
			original_name = '<br>оригинальное название: ' + info[2];
		var counter = info[0].length
		if(info[0].length>1)
		{
			episode_count = '<br>количество серий: ' + info[0].length;
				for (var index = 0; index < counter; index++)
				{
					alert(info[0][index]);
				}
		}
		var vod_info = 'название фильма: <b>' + info[1] + '</b>' + original_name + episode_count +'<br><br>краткое описание:<br>' + info[3] + '<br><br>длительность: ' + info[4] + ' мин.<br><!--год выпуска: ' + info[5] + '<br>жанр: ' + info[6] + '-->';
		widgetAPI.putInnerHTML(document.getElementById("vod_info"), vod_info);
		var vod_descr_right = 'режиссер: ' + info[7] + '<br>сценарий: ' + info[8] + '<br>актеры: ' + info[9]
		widgetAPI.putInnerHTML(document.getElementById("vod_descr_right"), vod_descr_right);
	}
	else
	{
		this.vod_mode = 0;
		document.getElementById("vod_info").style.display="none";	
		document.getElementById("vod_info_button").style.display="";
		document.getElementById("vod_back_button").style.display="none";
		VideothekPlayer.updateCurrentVODinfo();	
	}
	

}

VideothekPlayer.SelectVOD = function()
{
	KTV_API.getVod_info(this.vod_list[this.vod_selected_item][0]);
	if(VideothekPlayer.vod_selected[0].length>1)
	{
		var text = 'выбор серии для просмотра';
		var first_mode = VideothekPlayer.vod_selected[0][0][1];
		if( first_mode == 'Стандарт' || first_mode == 'Эко')
			text = 'выбор качества видео';
		KeyHandler.setFocus(Main.Selectbox_ID);
		Selectbox.selected = 0;
		Player.url = Selectbox.setBox(text, VideothekPlayer.vod_selected[0]);
	}
	else
	{
		Player.url = KTV_API.getVod_URL(VideothekPlayer.vod_selected[0][0][0]);
		VideothekPlayer.playVideo();
	}

}

VideothekPlayer.playVideo = function()
{	
	
	if(Player.state == Player.PLAYING_VOD)
	{
		Player.stopVideo();
	}
	if(Player.state == Player.PAUSA_VOD)
	{
		Player.stopVideo();
	}
	if(Player.state == Player.PLAYING_LIVE)
	{
		Player.stopVideo();
	}
	
	if (Player.url == null)
    {
        alert("No videos to play");
    }
    else
    {
        alert(Player.url);
		Player.state = Player.PLAYING_VOD;
		pluginAPI.setOffScreenSaver();
        Player.plugin.Play( Player.url );
        Audio.plugin.SetSystemMute(false); 
    }
	
	Display.status('VOD START');
	Player.plugin.SetDisplayArea(0, 0, 960, 540);
	VideothekPlayer.UpdatePlayerStatusbar();
	KeyHandler.setFocus(Main.VideothekPlayerControll_ID);
	Display.hidemenu();
	Display.showplayer();
}

VideothekPlayer.UpdatePlayerStatusbar = function()
{
	var index = this.vod_selected_item;
	var poster = 'http://iptv.kartina.tv/' + this.vod_list[index][5];
	
	widgetAPI.putInnerHTML(document.getElementById("pr2_duration"), "");
	widgetAPI.putInnerHTML(document.getElementById("pr2_time"), "");
	widgetAPI.putInnerHTML(document.getElementById("pr2_name"), "");
	widgetAPI.putInnerHTML(document.getElementById("pr2_descr"), "");
	document.getElementById("ch_percent").style.width="0%";


	var vod_name = this.vod_list[index][2];
	if(this.vod_episode_name!="")
		vod_name = vod_name + " (" + this.vod_episode_name + ")";
	
	widgetAPI.putInnerHTML(document.getElementById("ch_number"),this.vod_list[index][6]);
	widgetAPI.putInnerHTML(document.getElementById("ch_name"),vod_name);
	widgetAPI.putInnerHTML(document.getElementById("ch_category"),this.vod_list[index][10]);
	widgetAPI.putInnerHTML(document.getElementById("time"), VideothekPlayer.secToStr(Player.vod_current_time/1000));
	document.getElementById("ch_arch").src="";
	document.getElementById("ch_img").src=poster;
	document.getElementById("ch_img").width="35px";
	
	widgetAPI.putInnerHTML(document.getElementById("pr1_time"), "");
	widgetAPI.putInnerHTML(document.getElementById("pr1_name"), this.vod_list[index][3]);
	widgetAPI.putInnerHTML(document.getElementById("pr1_descr"), this.vod_list[index][11]);


	var elapsed_time_percent = parseInt(Player.vod_current_time/ Player.vod_one_percent);
	var time_left = parseInt((Player.vod_duration - Player.vod_current_time)/60000);
	
	if(elapsed_time_percent>100)
		elapsed_time_percent = 100;
	document.getElementById("ch_percent").style.width=elapsed_time_percent+"%";
	widgetAPI.putInnerHTML(document.getElementById("pr1_time_left"), "+" + time_left + "мин");
	widgetAPI.putInnerHTML(document.getElementById("pr2_name"), "Продолжительность " + parseInt(Player.vod_duration/60000) + " мин.");


}

VideothekPlayer.secToStr =function(sec)
{
   sec = parseInt(sec);
   minuten = parseInt(sec/60);
   sec = sec%60;
   stunden = parseInt(minuten/60);
   minuten = minuten%60;
   return (stunden > 10 ? stunden : ("0" + stunden)) + ":" + (minuten > 10 ? minuten : ("0" + minuten)) + ":" + (sec > 10 ? sec : ("0" + sec));
}

VideothekPlayer.add_favorite=function() 
{
	var vod_id = this.vod_list[this.vod_selected_item][0];
	KTV_API.vodAddFav(vod_id);
	Display.status("Добавлен в избранное");
}

VideothekPlayer.del_favorite=function()
{
	var vod_id = this.vod_list[this.vod_selected_item][0];
	KTV_API.vodDelFav(vod_id);
	if(this.vod_selected_mode == 'favorites')
	{
		if(this.vod_counter>1)
			VideothekPlayer.updatePage();
		else
			VideothekPlayer.Start();
	}	
	Display.status("Удален из избранного");
}